%define req_atk_version 1.13.1

%define lib_major	18
%define lib_name	%mklibname %{name} %{lib_major}
%define develname	%mklibname -d %{name}

Summary: GNOME Accessibility Implementation Library
Name: gail
Version: 1.22.0
Release: %mkrel 2
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License: LGPL
Url: http://developer.gnome.org/projects/gap/
Group: Accessibility
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libgnomecanvas2-devel >= 2.0.0
BuildRequires: atk-devel >= %{req_atk_version}
BuildRequires: gtk+2-devel >= 2.3.4
BuildRequires: gtk-doc
#ugly obsoletes to smooth upgrade
Obsoletes: lib%{name}13
Provides: lib%{name}13


%description
Gail is the GNOME Accessibility Implementation Library

%package -n %{lib_name}
Summary:	GNOME Accessibility Implementation Library
Group:		System/Libraries

Provides:	lib%{name} = %{version}-%{release}
Requires:   %{name} >= %{version}-%{release}
Conflicts:	%{name} < 1.9.4-2mdv


%description -n %{lib_name}
Gail is the GNOME Accessibility Implementation Library

%package -n %develname
Summary:	Static libraries, include files for GAIL
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Conflicts:	%{_lib}%{name}17-devel
Obsoletes: %mklibname -d %{name} 18

%description -n %develname
Gail is the GNOME Accessibility Implementation Library


%prep
%setup -q

%build
%configure2_5x --enable-gtk-doc

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
%find_lang %name
# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
  
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{name} -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS NEWS 

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libgailutil.so.%{lib_major}*
%{_libdir}/gtk-2.0/modules/*.so

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*




%changelog
* Sun Mar 23 2008 Emmanuel Andry <eandry@mandriva.org> 1.22.0-2mdv2008.1
+ Revision: 189624
- Fix lib group

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 1.22.0-1mdv2008.1
+ Revision: 183415
- new version

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 1.21.5-1mdv2008.1
+ Revision: 151193
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 26 2007 Götz Waschk <waschk@mandriva.org> 1.20.2-1mdv2008.1
+ Revision: 112048
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 1.20.1-1mdv2008.1
+ Revision: 98379
- new version

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 1.20.0-1mdv2008.0
+ Revision: 88987
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 1.19.6-1mdv2008.0
+ Revision: 56498
- new version

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 1.19.5-1mdv2008.0
+ Revision: 50887
- new version
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.18.0-1mdv2007.1
+ Revision: 141739
- new version
- readd ChangeLog

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 1.17.0-1mdv2007.1
+ Revision: 119010
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 1.10.1-1mdv2007.1
+ Revision: 111824
- new version

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 1.10.0-1mdv2007.1
+ Revision: 106088
- new version
- bump deps

* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 1.9.4-2mdv2007.1
+ Revision: 102443
- Fix biarch
- Add conflicts to ease upgrade

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 1.9.4-1mdv2007.1
+ Revision: 98489
- new version
- drop patch

* Mon Dec 04 2006 Frederic Crozat <fcrozat@mandriva.com> 1.9.3-4mdv2007.1
+ Revision: 90476
- Patch0 (CVS): fix crash in gimp (GNOME bug #382255)

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 1.9.3-3mdv2007.1
+ Revision: 63814
- rebuild
- rebuild
- Import gail

* Wed Oct 04 2006 Götz Waschk <waschk@mandriva.org> 1.9.3-1mdv2007.0
- New version 1.9.3

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 1.9.2-1mdv2007.0
- New release 1.9.2

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 1.9.1-1
- New release 1.9.1

* Fri Jul 14 2006 Frederic Crozat <fcrozat@mandriva.com> 1.9.0-3mdv2007.0
- Add conflicts to ease upgrade

* Fri Jul 14 2006 Frederic Crozat <fcrozat@mandriva.com> 1.9.0-2mdv2007.0
- Fix major

* Fri Jul 14 2006 Götz Waschk <waschk@mandriva.org> 1.9.0-1mdk
- New release 1.9.0

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 1.8.11-1mdk
- New release 1.8.11

* Tue Feb 21 2006 Götz Waschk <waschk@mandriva.org> 1.8.10-1mdk
- New release 1.8.10

* Tue Feb 14 2006 Götz Waschk <waschk@mandriva.org> 1.8.9-1mdk
- New release 1.8.9
- use mkrel

* Tue Nov 29 2005 Gtz Waschk <waschk@mandriva.org> 1.8.8-1mdk
- drop patch
- New release 1.8.8

* Mon Nov 28 2005 Frederic Crozat <fcrozat@mandriva.com> 1.8.7-2mdk
- Patch0 (CVS): fix treeview destruction

* Thu Nov 24 2005 Frederic Crozat <fcrozat@mandriva.com> 1.8.7-1mdk
- Release 1.8.7

* Wed Nov 16 2005 Götz Waschk <waschk@mandriva.org> 1.8.6-1mdk
- New release 1.8.6

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 1.8.5-1mdk
- Release 1.8.5

* Sat Apr 30 2005 Gtz Waschk <waschk@mandriva.org> 1.8.4-1mdk
- New release 1.8.4

* Sat Apr 16 2005 Frederic Crozat <fcrozat@mandriva.com> 1.8.3-1mdk 
- Release 1.8.3

* Tue Jan 04 2005 Goetz Waschk <waschk@linux-mandrake.com> 1.8.2-1mdk
- New release 1.8.2

* Tue Dec 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.8.1-1mdk
- New release 1.8.1

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.8.0-1mdk
- New release 1.8.0

* Wed Jun 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.6.6-1mdk
- New release 1.6.6

* Wed May 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5-1mdk
- reenable libtoolize
- New release 1.6.5

* Sat May 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4-1mdk
- build with gtk-doc
- New release 1.6.4

* Wed Apr 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.3-1mdk
- New release 1.6.3

* Tue Apr 20 2004 Goetz Waschk <goetz@mandrakesoft.com> 1.6.2-1mdk
- New release 1.6.2

* Thu Apr 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-1mdk
- new version

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.0-1mdk
- Release 1.6.0 (with Gtz help)
- requires new gtk & atk
- add translations

